Facebook Pixel

Get Company Details

Get detailed information about a specific company including description, headquarters, employee count, and specialities

POST/linkedin/companies/details

Get Company Details

Get detailed information about a specific company including description, headquarters, employee count, and specialities

Authentication requiredLinkedIn Search

Code Examples

curl -X POST 'https://api.connectsafely.ai/linkedin/companies/details' \
-H 'Authorization: Bearer <your_api_key>' \
-H 'Content-Type: application/json' \
-d '{"companyId":"12345"}'

Parameters

No parameters.

Request Body

FieldTypeRequiredDescription
accountIdstringNo
companyIdstringYesCompany ID or URN

Example

{
  "companyId": "12345"
}

Responses

StatusDescription
200Successful response

200 Example

{
  "success": true,
  "company": {
    "id": "2375495",
    "name": "Canva",
    "universalName": "canva",
    "description": "Canva is a free-to-use online graphic design tool...",
    "website": "https://www.canva.com",
    "industry": "Software Development",
    "employeeRange": "1001-5000 employees",
    "staffCount": 4892,
    "headquartersCity": "Sydney",
    "headquartersCountry": "AU",
    "logo": "https://media.licdn.com/dms/image/...",
    "url": "https://www.linkedin.com/company/canva"
  }
}

Response Fields

FieldTypeDescription
idstringNumeric company ID (use for currentCompanyIds in people search)
namestringCompany name
universalNamestringURL-friendly company identifier
descriptionstringCompany description/about
websitestringCompany website URL
industrystringIndustry name
employeeRangestringCompany size range (e.g., "1001-5000 employees")
staffCountnumberNumber of employees with LinkedIn profiles at this company
headquartersCitystringCity where company HQ is located
headquartersCountrystringCountry code where company HQ is located
logostringCompany logo URL
urlstringLinkedIn company page URL

Note: staffCount represents the number of employees who have LinkedIn profiles at this company, while employeeRange is the company's stated size range.